const app = Vue.createApp({
  setup() {
    document.body.removeAttribute('hidden')
  },
  data () {
    return {
      current: null,
      items: [],
      completed: []
    }
  },
  mounted () {
    OneSDK.setup()
    OneSDK.subscribe({
      action: 'connected',
      callback: (data) => {
        if (data.setList) {
          this.current = data.setList.items[0] || null
          this.items = data.setList.items
          this.completed = data.setList.completed
        }
      }
    })
    OneSDK.subscribe({
      action: 'setList',
      callback: (setList) => {
        if (!setList) {
          this.current = null
          this.items = []
          this.completed = []
        } else {
          this.current = setList.items[0] || null
          this.items = setList.items
          this.completed = setList.completed
        }
      }
    })
    OneSDK.connect()
  },
})
OneSDK.ready().then(() => {
  app.mount("#container");
})
